import excel using "Capraro_et_al_2014_data.xlsx", clear firstrow

// Fig 1 
table k PDtransfer
// Associated stats
logit gave0 k
logit gave5 k
logit gave10 k
logit gave0 k age female i.ed Lstudies 
logit gave5 k age female i.ed Lstudies 
logit gave10 k age female i.ed Lstudies 
//    Showing lack of diminishing marginal returns
logit gave0 k k2
logit gave0 k k2 age female i.ed Lstudies 
logit gave5 k k2
logit gave5 k k2 age female i.ed Lstudies 
logit gave10 k k2
logit gave10 k k2 age female i.ed Lstudies 


// Fig 2 
bysort k: sum PDtransfer
// Associated stats
reg PDtransfer k
reg PDtransfer k age female i.ed Lstudies
//    No diminishing returns
reg PDtransfer k k2
reg PDtransfer k k2 age female i.ed Lstudies
//   Robust to excluding people who gave other than 0 or 10
reg PDtransfer k if (PDtransfer== 0 | PDtransfer== 10) 
reg PDtransfer k age female i.ed Lstudies if (PDtransfer== 0 | PDtransfer== 10) 
reg PDtransfer k k2 if (PDtransfer== 0 | PDtransfer== 10) 
reg PDtransfer k k2 age female i.ed Lstudies if (PDtransfer== 0 | PDtransfer== 10) 


// Fig 3
table PDtransfer DGtransfer
// Associated stats
pwcorr PDtransfer DGtransfer, sig
reg DGtransfer PDtransfer
reg DGtransfer PDtransfer age female i.ed Lstudies 
